/// <reference types="react-notification-system" />
/// <reference types="react" />
import "../assets/fonts/roboto/roboto.scss";
import * as React from "react";
import { Notification } from "./notifier";
import "./scaffold.scss";
export declare type Props = {
    page: number;
    theme?: string;
    onClickHome?: () => any;
    projectName?: string;
    notifications?: Notification[];
};
export declare type State = {
    current?: number;
    show?: boolean;
    toggle?: boolean;
};
declare class Scaffold extends React.Component<Props, State> {
    constructor(props: Props);
    /**
        calculates flag for rendering, and updates page for next iteration.
     */
    componentWillReceiveProps({page}: {
        page: any;
    }): void;
    render(): JSX.Element;
}
export default Scaffold;
