"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var baseapi_1 = require("./baseapi");
exports.roleapi = function (baseurl) {
    var base = baseurl + "/role";
    return {
        fetchAll: function () { return baseapi_1.default(base).get(); },
        fetchOne: function (id) { return baseapi_1.default(base).get(encodeURIComponent(id)); },
        saveOne: function (role) { return baseapi_1.default(base).put(encodeURIComponent(role.id), role); }
    };
};
exports.default = exports.roleapi;
//# sourceMappingURL=roleapi.js.map