/// <reference types="react" />
import * as React from "react";
import "./dialogmodal.scss";
export interface Option {
    name: string;
    action: any;
    style?: string;
    icon?: string;
    iconLeft?: boolean;
}
export interface Dialog {
    title: string;
    message: string;
    options: Option[];
    type?: string;
}
export interface Props {
    dialog?: Dialog;
    onCancel?: any;
}
export declare const dialogBuilder: (title: string, message: string, options?: Option[], type?: string) => Dialog;
export declare const makeWarning: (message: string, onProceed: any) => Dialog;
export declare class DialogModal extends React.Component<Props, void> {
    constructor(props: any);
    render(): JSX.Element;
}
export default DialogModal;
