"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_bootstrap_1 = require("react-bootstrap");
exports.Sidebar = function (p) {
    var _a = p.page, page = _a === void 0 ? 0 : _a, _b = p.onSelect, onSelect = _b === void 0 ? null : _b, _c = p.children, children = _c === void 0 ? [] : _c;
    return (React.createElement("div", { className: "sidebar" }, React.Children.toArray(children).map(function (child, i) {
        var clone = function (i) { return React.cloneElement(child, { pageindex: i, onClick: function (e) { onSelect(e); child.props.onClick(e); } }); };
        return (React.createElement("div", { key: i, className: (page == i + 1 && page != 0) ? 'pageactive' : '' }, clone(i)));
    })));
};
exports.SideIcon = function (p) {
    var title = p.title, onClick = p.onClick, name = p.name, _a = p.pageindex, pageindex = _a === void 0 ? 0 : _a, _b = p.onSelect, onSelect = _b === void 0 ? null : _b, className = p.className, style = p.style, _c = p.enabled, enabled = _c === void 0 ? true : _c;
    var tooltip = (title ? React.createElement(react_bootstrap_1.Tooltip, { id: name },
        React.createElement("strong", null, title)) : null);
    return (enabled
        ?
            title ?
                React.createElement(react_bootstrap_1.OverlayTrigger, { placement: "right", overlay: tooltip },
                    React.createElement("div", { className: "sidebar-icon theme-" + (pageindex + 1) },
                        React.createElement("a", { role: "button", onClick: onClick, className: className, style: style },
                            React.createElement("i", { className: "material-icons" }, name))))
                :
                    React.createElement("div", { className: "sidebar-icon theme-" + (pageindex + 1) },
                        React.createElement("a", { role: "button", onClick: onClick, className: className, style: style },
                            React.createElement("i", { className: "material-icons" }, name)))
        : null);
};
//# sourceMappingURL=sidebar.js.map